Subject: Re: [PATCH 1/2] Avoid using the git wrapper in git-rebase.sh.

From: Shawn Pearce <[email-masked]>
Date: Fri, 14 Jul 2006 19:28:41 -0400

Junio C Hamano <[email-masked]> wrote:
> Shawn Pearce <[email-masked]> writes:
> 
> > Ideally 'shipped' commands (e.g. git-rebase) should avoid calling
> > the git wrapper when executing other commands to prevent the user
> > from shadowing those commands with aliases and causing the shipped
> > command behavior to differ unexpectedly.
> 
> In order to avoid confusion, we made aliases not to shadow real
> commands, so this is not an argument to support this patch.

Doh.  I must have missed the emails which decided that...  For some
reason I remember only the emails discussing shadowing happening
but that internal stuff should use 'git-am' to prevent the shadowing
from occuring.  Thanks for the correction.

-- 
Shawn.